com.taosdata.jdbc

## Class TSDBPreparedStatement

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractStatement
    - - com.taosdata.jdbc.TSDBStatement
      - - com.taosdata.jdbc.TSDBPreparedStatement

All Implemented Interfaces:
  AutoCloseable, PreparedStatement, Statement, Wrapper

    public class TSDBPreparedStatement
    extends TSDBStatement
    implements PreparedStatement

### Field Summary

### Fields inherited from class com.taosdata.jdbc.AbstractStatement

`affectedRows, batchedArgs`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addBatch()`
`void` `clearParameters()`
`void` `close()`
`void` `columnDataAddBatch()`
`void` `columnDataClearBatch()` Deprecated.
`void` `columnDataCloseBatch()`
`void` `columnDataExecuteBatch()`
`boolean` `execute()`
`ResultSet` `executeQuery()`
`int` `executeUpdate()`
`ResultSetMetaData` `getMetaData()`
`ParameterMetaData` `getParameterMetaData()`
`void` `setArray(int parameterIndex, Array x)`
`void` `setAsciiStream(int parameterIndex, InputStream x)`
`void` `setAsciiStream(int parameterIndex, InputStream x, int length)`
`void` `setAsciiStream(int parameterIndex, InputStream x, long length)`
`void` `setBigDecimal(int parameterIndex, BigDecimal x)`
`void` `setBinaryStream(int parameterIndex, InputStream x)`
`void` `setBinaryStream(int parameterIndex, InputStream x, int length)`
`void` `setBinaryStream(int parameterIndex, InputStream x, long length)`
`void` `setBlob(int parameterIndex, Blob x)`
`void` `setBlob(int parameterIndex, InputStream inputStream)`
`void` `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` `setBoolean(int columnIndex, ArrayList<Boolean> list)`
`void` `setBoolean(int parameterIndex, boolean x)`
`void` `setByte(int columnIndex, ArrayList<Byte> list)`
`void` `setByte(int parameterIndex, byte x)`
`void` `setBytes(int parameterIndex, byte[] x)`
`void` `setCharacterStream(int parameterIndex, Reader reader)`
`void` `setCharacterStream(int parameterIndex, Reader reader, int length)`
`void` `setCharacterStream(int parameterIndex, Reader reader, long length)`
`void` `setClob(int parameterIndex, Clob x)`
`void` `setClob(int parameterIndex, Reader reader)`
`void` `setClob(int parameterIndex, Reader reader, long length)`
`void` `setDate(int parameterIndex, Date x)`
`void` `setDate(int parameterIndex, Date x, Calendar cal)`
`void` `setDouble(int columnIndex, ArrayList<Double> list)`
`void` `setDouble(int parameterIndex, double x)`
`void` `setFloat(int columnIndex, ArrayList<Float> list)`
`void` `setFloat(int parameterIndex, float x)`
`void` `setGeometry(int columnIndex, ArrayList<byte[]> list, int size)`
`void` `setInt(int columnIndex, ArrayList<Integer> list)`
`void` `setInt(int parameterIndex, int x)`
`void` `setLong(int columnIndex, ArrayList<Long> list)`
`void` `setLong(int parameterIndex, long x)`
`void` `setNCharacterStream(int parameterIndex, Reader value)`
`void` `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNClob(int parameterIndex, Reader reader)`
`void` `setNClob(int parameterIndex, Reader reader, long length)`
`void` `setNString(int columnIndex, ArrayList<String> list, int size)`
`void` `setNString(int parameterIndex, String value)`
`void` `setNull(int parameterIndex, int sqlType)`
`void` `setNull(int parameterIndex, int sqlType, String typeName)`
`void` `setObject(int parameterIndex, Object x)`
`void` `setObject(int parameterIndex, Object x, int targetSqlType)`
`void` `setObject(int parameterIndex, Object x, int targetSqlType, int scaleOrLength)`
`void` `setRef(int parameterIndex, Ref x)`
`void` `setRowId(int parameterIndex, RowId x)`
`void` `setShort(int columnIndex, ArrayList<Short> list)`
`void` `setShort(int parameterIndex, short x)`
`void` `setSQLXML(int parameterIndex, SQLXML xmlObject)`
`void` `setString(int columnIndex, ArrayList<String> list, int size)`
`void` `setString(int parameterIndex, String x)`
`void` `setTableName(String name)`
`void` `setTagBoolean(int index, boolean value)`
`void` `setTagByte(int index, byte value)`
`void` `setTagDouble(int index, double value)`
`void` `setTagFloat(int index, float value)`
`void` `setTagGeometry(int index, byte[] value)`
`void` `setTagInt(int index, int value)`
`void` `setTagJson(int index, String value)`
`void` `setTagLong(int index, long value)`
`void` `setTagNString(int index, String value)`
`void` `setTagNull(int index, int type)`
`void` `setTagShort(int index, short value)`
`void` `setTagString(int index, String value)`
`void` `setTagTimestamp(int index, long value)`
`void` `setTagVarbinary(int index, byte[] value)`
`void` `setTime(int parameterIndex, Time x)`
`void` `setTime(int parameterIndex, Time x, Calendar cal)`
`void` `setTimestamp(int columnIndex, ArrayList<Long> list)`
`void` `setTimestamp(int parameterIndex, Timestamp x)`
`void` `setTimestamp(int parameterIndex, Timestamp x, Calendar cal)`
`void` `setUnicodeStream(int parameterIndex, InputStream x, int length)`
`void` `setURL(int parameterIndex, URL x)`
`<T> void` `setValueImpl(int columnIndex, ArrayList<T> list, int type, int bytes)`
`void` `setVarbinary(int columnIndex, ArrayList<byte[]> list, int size)`

### Methods inherited from class com.taosdata.jdbc.TSDBStatement

`execute, execute, executeImpl, executeQuery, executeQuery, executeUpdate, executeUpdate, getConnection, getQueryTimeout, getResultSet, getUpdateCount, isClosed, setConnection, setQueryTimeout`

### Methods inherited from class com.taosdata.jdbc.AbstractStatement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, executeBatch, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`executeLargeUpdate, setObject, setObject`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws SQLException

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws SQLException

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws SQLException

Specified by:
  `setByte` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws SQLException

Specified by:
  `setShort` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws SQLException

Specified by:
  `setInt` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws SQLException

Specified by:
  `setLong` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws SQLException

Specified by:
  `setFloat` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws SQLException

Specified by:
  `setDouble` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              BigDecimal x)
                       throws SQLException

Specified by:
  `setBigDecimal` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setString

    public void setString(int parameterIndex,
                          String x)
                   throws SQLException

Specified by:
  `setString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws SQLException

Specified by:
  `setBytes` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int parameterIndex,
                        Date x)
                 throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int parameterIndex,
                        Time x)
                 throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp x)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               int length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 InputStream x,
                                 int length)
                          throws SQLException

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                int length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### clearParameters

    public void clearParameters()
                         throws SQLException

Specified by:
  `clearParameters` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                          Object x,
                          int targetSqlType)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                          Object x)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### execute

    public boolean execute()
                    throws SQLException

Specified by:
  `execute` in interface `PreparedStatement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch()
                  throws SQLException

Specified by:
  `addBatch` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   int length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRef

    public void setRef(int parameterIndex,
                       Ref x)
                throws SQLException

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
                        Blob x)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
                        Clob x)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setArray

    public void setArray(int parameterIndex,
                         Array x)
                  throws SQLException

Specified by:
  `setArray` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int parameterIndex,
                        Date x,
                        Calendar cal)
                 throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int parameterIndex,
                        Time x,
                        Calendar cal)
                 throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp x,
                             Calendar cal)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int parameterIndex,
                        int sqlType,
                        String typeName)
                 throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(int parameterIndex,
                       URL x)
                throws SQLException

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

Specified by:
  `getParameterMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRowId

    public void setRowId(int parameterIndex,
                         RowId x)
                  throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(int parameterIndex,
                           String value)
                    throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value,
                                    long length)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         NClob value)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
                        Reader reader,
                        long length)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream,
                        long length)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader,
                         long length)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                          SQLXML xmlObject)
                   throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                          Object x,
                          int targetSqlType,
                          int scaleOrLength)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               long length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                long length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   long length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
                        Reader reader)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTableName

    public void setTableName(String name)
                      throws SQLException

Throws:
  `SQLException`

#### setTagNull

    public void setTagNull(int index,
                           int type)

#### setTagBoolean

    public void setTagBoolean(int index,
                              boolean value)

#### setTagInt

    public void setTagInt(int index,
                          int value)

#### setTagByte

    public void setTagByte(int index,
                           byte value)

#### setTagShort

    public void setTagShort(int index,
                            short value)

#### setTagLong

    public void setTagLong(int index,
                           long value)

#### setTagTimestamp

    public void setTagTimestamp(int index,
                                long value)

#### setTagFloat

    public void setTagFloat(int index,
                            float value)

#### setTagDouble

    public void setTagDouble(int index,
                             double value)

#### setTagString

    public void setTagString(int index,
                             String value)

#### setTagNString

    public void setTagNString(int index,
                              String value)

#### setTagJson

    public void setTagJson(int index,
                           String value)

#### setTagVarbinary

    public void setTagVarbinary(int index,
                                byte[] value)

#### setTagGeometry

    public void setTagGeometry(int index,
                               byte[] value)

#### setValueImpl

    public <T> void setValueImpl(int columnIndex,
                                 ArrayList<T> list,
                                 int type,
                                 int bytes)
                          throws SQLException

Throws:
  `SQLException`

#### setInt

    public void setInt(int columnIndex,
                       ArrayList<Integer> list)
                throws SQLException

Throws:
  `SQLException`

#### setFloat

    public void setFloat(int columnIndex,
                         ArrayList<Float> list)
                  throws SQLException

Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int columnIndex,
                             ArrayList<Long> list)
                      throws SQLException

Throws:
  `SQLException`

#### setLong

    public void setLong(int columnIndex,
                        ArrayList<Long> list)
                 throws SQLException

Throws:
  `SQLException`

#### setDouble

    public void setDouble(int columnIndex,
                          ArrayList<Double> list)
                   throws SQLException

Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(int columnIndex,
                           ArrayList<Boolean> list)
                    throws SQLException

Throws:
  `SQLException`

#### setByte

    public void setByte(int columnIndex,
                        ArrayList<Byte> list)
                 throws SQLException

Throws:
  `SQLException`

#### setShort

    public void setShort(int columnIndex,
                         ArrayList<Short> list)
                  throws SQLException

Throws:
  `SQLException`

#### setString

    public void setString(int columnIndex,
                          ArrayList<String> list,
                          int size)
                   throws SQLException

Throws:
  `SQLException`

#### setVarbinary

    public void setVarbinary(int columnIndex,
                             ArrayList<byte[]> list,
                             int size)
                      throws SQLException

Throws:
  `SQLException`

#### setGeometry

    public void setGeometry(int columnIndex,
                            ArrayList<byte[]> list,
                            int size)
                     throws SQLException

Throws:
  `SQLException`

#### setNString

    public void setNString(int columnIndex,
                           ArrayList<String> list,
                           int size)
                    throws SQLException

Throws:
  `SQLException`

#### columnDataAddBatch

    public void columnDataAddBatch()
                            throws SQLException

Throws:
  `SQLException`

#### columnDataExecuteBatch

    public void columnDataExecuteBatch()
                                throws SQLException

Throws:
  `SQLException`

#### columnDataClearBatch

    @Deprecated
    public void columnDataClearBatch()

Deprecated.

#### columnDataCloseBatch

    public void columnDataCloseBatch()
                              throws SQLException

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Overrides:
  `close` in class `TSDBStatement`
Throws:
  `SQLException`